=== debian/changelog ===
xcp-vncterm (0.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/missing-include: Add missing include to fix build failure
    with eglibc 2.17. (Closes: #701445)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 05 Jul 2013 01:52:39 +0200

xcp-vncterm (0.1-2) unstable; urgency=low

  * vncterm is moved to: /usr/lib/xcp/lib (instead of
  /usr/lib/xen-common/xapi/libexec/vncterm).
  * Apply upstream qemu patch to fix segfault
  * Added a watch file.

 -- Jon Ludlam <jonathan.ludlam@eu.citrix.com>  Tue, 20 Dec 2011 09:04:26 +0000

xcp-vncterm (0.1-1) unstable; urgency=low

  * Initial release (Closes: #649285)

 -- Jon Ludlam <jonathan.ludlam@eu.citrix.com>  Tue, 19 Jul 2011 23:38:14 +0100
