=== debian/control ===
Source: xcp-vncterm
Section: utils
Priority: extra
Maintainer: PKG-Xen Devel <pkg-xen-devel@lists.alioth.debian.org>
Uploaders: Jon Ludlam <jonathan.ludlam@eu.citrix.com>, Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 8), libxen-dev
Standards-Version: 3.9.2
Homepage: http://xen.org/products/cloudxen.html
Vcs-Git: http://anonscp.debian.org/git/pkg-xen/xcp-vncterm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-xen/xcp-vncterm.git

Package: xcp-vncterm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Provides VNC service for XCP guest VMs
 The Xen Cloud Platform (XCP) is an open source enterprise-ready server
 virtualization and cloud computing platform, delivering the Xen Hypervisor
 with support for a range of guest operating systems.
 .
 This program to expose a virtual machine's serial console as a VNC terminal
 frame buffer.
