=== debian/watch ===
version=3
https://github.com/mcclurmc/vncterm/tags /mcclurmc/vncterm/tarball/master/(.+)
